+ Responder ao Tópico



  1. #1
    Leyzem
    Visitante

    Padrão sasl no postfix com problema

    galera estou configurando o meu postfix para autenticar smtp, mas ele esta dando o seguinte problema...veja os logs...

    Mar 24 16:09:01 internet postfix/smtp[3544]: warning: smtp_sasl_auth_enable is true, but SASL support is not compiled in

    que problema é esse o postfix start normal mais não autentica smtp...

    smtp_sasl_auth_enable = yes
    smtp_sasl_password_maps = hash:/etc/postfix/sasl_passwd
    smtp_sasl_security_options = noanonymous

    esta é a configuração que estou acrecentando no meu main.cf
    e no sasl_passwd estou colocando
    myhostname user:senha
    relayhost myhostname

  2. #2
    Visitante

    Padrão sasl no postfix com problema

    cara, o suporte pro sasl não foi compilado... a propria msg de erro tá falando isso...

    pra habilita a opcao, baixe o source so postfix e leia o conteudo do diretorio README_FILES (lá tem tudo o que voce precisa pra saber como configurar o postfix pra aceitar a auth sasl...)



  3. #3
    Leyzem
    Visitante

    Padrão sasl no postfix com problema

    Interresante o meu distro é o cl8 e se não me engano ele ja vem com o sasl pronto para usar, no meu caso ele ja esta instalado no sistema

    rpm -qa |grep sasl
    sasl-devel-1.5.24-15cl
    sasl-plug-gssapi-1.5.24-15cl
    sasl-plug-crammd5-1.5.24-15cl
    sasl-1.5.24-15cl
    sasl-plug-plain-1.5.24-15cl
    sasl-plug-digestmd5-1.5.24-15cl
    sasl-programs-1.5.24-15cl
    sasl-plug-anonymous-1.5.24-15cl
    isso ai esta instalado no meu sistema, falta mais o que?????

  4. #4
    Visitante

    Padrão sasl no postfix com problema

    Gostaria de um howto ou manual postfix + sasl, estou precisando de um smtp com autenticação, alguem pode me ajudar??????
    ficarei grato caros amigos linuxes....



  5. #5
    Visitante

    Padrão sasl no postfix com problema

    qual é o postfix q vc tá usando?? vc compilou ele com suporte ao SASL??

  6. #6
    Leyzem
    Visitante

    Padrão sasl no postfix com problema

    meu distro é o cl8, o postfix que vem nele é 2.0 e ele ja vem compilado por padrão no distro cl8



  7. #7

    Padrão sasl no postfix com problema

    a minha distro tb é cl8, porém não é a versão 2.0 do postfix... na distro minha veio o 1.0 (20010228-pl06)... e para ativar o SASL eu tive q fazer o upgrade do postfix, pegando o pacote com o apt-get...